TurboTax FAQ
TurboTax FAQ
21 people found this useful

Error: TurboTax cannot be installed because you need Windows XP Service Pack 3 (SP3)

The following error message appears when installing TurboTax 2011 or later:

Sorry but TurboTax [year] cannot be installed on your computer because you need Windows XP Service Pack 3 installed.

Select your Windows version below for further instructions.

Windows 7 or later

Click here to download and run our fix-it tool. Be sure to follow any on-screen instructions.

Windows XP 32-bit

  1. From the Windows Start menu, right-click My Computer.
  2. In the pop-up window, look for Intel(R).

Please note that per the TurboTax system requirements, we do not support the Windows XP 64-bit operating system for the CD/Download software.